{
  "openapi" : "3.1.0",
  "info" : {
    "contact" : {
      "name" : "Contact Us",
      "url" : "https://data.world/company/contact-us"
    },
    "termsOfService" : "https://data.world/terms-policies",
    "title" : "data.world Public API",
    "version" : "0"
  },
  "servers" : [ {
    "url" : "/v0"
  } ],
  "security" : [ {
    "bearerAuth" : [ ]
  } ],
  "tags" : [ {
    "description" : "Manage relationships between catalog resources",
    "name" : "catalog relationships"
  }, {
    "name" : "catalog resources"
  }, {
    "name" : "connections"
  }, {
    "description" : "Manage data quality of metadata resources",
    "name" : "data quality"
  }, {
    "name" : "datasets"
  }, {
    "name" : "DOIs"
  }, {
    "description" : "This API is in active development. Its definition may change frequently and without notice.",
    "name" : "experimental"
  }, {
    "name" : "download"
  }, {
    "name" : "files"
  }, {
    "name" : "insights"
  }, {
    "name" : "legacy catalog - analysis"
  }, {
    "name" : "legacy catalog - collections"
  }, {
    "name" : "legacy catalog - data"
  }, {
    "name" : "legacy catalog - glossary"
  }, {
    "name" : "legacy catalog - properties"
  }, {
    "name" : "legacy catalog - relationships"
  }, {
    "name" : "organizations"
  }, {
    "name" : "projects"
  }, {
    "name" : "queries"
  }, {
    "description" : "Manage authorization requests",
    "name" : "requests - authorization"
  }, {
    "description" : "Manage resource requests",
    "name" : "requests - resource"
  }, {
    "name" : "search"
  }, {
    "name" : "serviceaccount"
  }, {
    "name" : "streams"
  }, {
    "name" : "tables"
  }, {
    "name" : "user"
  }, {
    "name" : "users"
  }, {
    "name" : "webhooks"
  }, {
    "name" : "instance admin"
  }, {
    "name" : "telemetry"
  }, {
    "name" : "topics and comments - resource"
  } ],
  "paths" : {
    "/cancel" : {
      "post" : {
        "description" : "Cancel a running query.",
        "operationId" : "cancel",
        "parameters" : [ {
          "in" : "query",
          "name" : "queryruntoken",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "*/*" : { }
            },
            "description" : "default response"
          }
        },
        "summary" : "Cancel a query",
        "tags" : [ "queries" ]
      }
    },
    "/connections/test" : {
      "post" : {
        "description" : "Test a virtual connection. For increased security, connection endpoints require an Enterprise Admin\nToken. This token can be found under [Advanced Settings](https://data.world/settings/advanced).",
        "operationId" : "testConnection",
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ConnectionDto"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PingStatusDto"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "User is unauthorized to perform action"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Access forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Not found"
          },
          "422" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Unable to parse request. URLs provided must be fully-formed http or https URLs"
          },
          "500" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Server error"
          }
        },
        "summary" : "Test a connection",
        "tags" : [ "connections" ]
      }
    },
    "/connections/{owner}" : {
      "get" : {
        "description" : "Get a list of configured virtual connections by owner. For increased security, connection\nendpoints require an Enterprise Admin Token. This token can be found under\n[Advanced Settings](https://data.world/settings/advanced).",
        "operationId" : "getConnectionsByOwner",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "sort",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }, {
          "in" : "query",
          "name" : "size",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10
          }
        }, {
          "in" : "query",
          "name" : "from",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 0
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedConnectionResults"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get connections by owner",
        "tags" : [ "connections" ]
      },
      "post" : {
        "description" : "Create a new virtual connection. For increased security, connection endpoints require an Enterprise Admin\nToken. This token can be found under [Advanced Settings](https://data.world/settings/advanced).",
        "operationId" : "createConnection",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Validate connection before save",
          "in" : "query",
          "name" : "validate",
          "schema" : {
            "type" : "boolean",
            "default" : true
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/ConnectionDto"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CreateResponse"
                }
              }
            },
            "description" : "Connection created successfully."
          }
        },
        "summary" : "Create a new connection",
        "tags" : [ "connections" ]
      }
    },
    "/connections/{owner}/{id}" : {
      "delete" : {
        "description" : "Delete a Connection. For increased security, connection endpoints require an Enterprise Admin Token. This\ntoken can be found under [Advanced Settings](https://data.world/settings/advanced).",
        "operationId" : "deleteConnection",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete a Connection",
        "tags" : [ "connections" ]
      },
      "get" : {
        "description" : "Get details for an individual virtual connection. For increased security, connection endpoints require an\nEnterprise Admin Token. This token can be found under\n[Advanced Settings](https://data.world/settings/advanced).",
        "operationId" : "getConnection",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ConnectionDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get an individual connection",
        "tags" : [ "connections" ]
      }
    },
    "/dataquality/audits/{orgAgentId}" : {
      "get" : {
        "description" : "Shows audits that happened during processing of data quality inputs.\nOne of \"requestId\" or \"resourceIri\" needs to be provided.\nOnly errors are tracked. Audits expire 1 day after creation. Returns a maximum of 100 audits.\nIf there are no audits, it is likely the request was executed successfully.\n\nAccess requirement: Requires an admin token. It also requires admin access to the organization.\n\nThis endpoint is in active development. Its definition and behavior may change frequently and without notice.",
        "operationId" : "getAudits",
        "parameters" : [ {
          "description" : "organization agent ID",
          "in" : "path",
          "name" : "orgAgentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "requestId",
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Internationalized Resource Identifier (IRI) of the resource. You can find the IRI in the Technical Reference section under the Settings tab on the resource’s catalog page.",
          "in" : "query",
          "name" : "resourceIri",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/DataQualityAuditsDto"
                }
              }
            },
            "description" : "Successful operation"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "User is unauthorized to perform action"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Access forbidden"
          },
          "500" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Server error"
          }
        },
        "summary" : "Show data quality audits",
        "tags" : [ "data quality", "experimental" ]
      }
    },
    "/dataquality/badges/{orgAgentId}" : {
      "post" : {
        "description" : "Associate a metadata resource with a Badge that describes its overall data quality status.\n\nAccess requirement: Requires an admin token. It also requires admin access to the organization.\n\nThis endpoint is in active development. Its definition and behavior may change frequently and without notice.",
        "operationId" : "addBadges",
        "parameters" : [ {
          "description" : "organization agent ID",
          "in" : "path",
          "name" : "orgAgentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/BadgesDto"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "202" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "Accepted"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "User is unauthorized to perform action"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Access forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Not found"
          },
          "500" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Server error"
          }
        },
        "summary" : "Add Badges",
        "tags" : [ "data quality", "experimental" ]
      }
    },
    "/dataquality/checkruns/{orgAgentId}" : {
      "post" : {
        "description" : "Add executions of a check against a metadata resource.\n\nAccess requirement: Requires an admin token. It also requires admin access to the organization.\n\nThis endpoint is in active development. Its definition and behavior may change frequently and without notice.",
        "operationId" : "addCheckRuns",
        "parameters" : [ {
          "description" : "organization agent ID",
          "in" : "path",
          "name" : "orgAgentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "The collection to insert resources in. Identified by IRI. You can find the IRI in the Technical Reference section under the Settings tab on the resource’s catalog page.",
          "in" : "query",
          "name" : "collectionIri",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CheckRunsDto"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "202" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "Accepted"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "User is unauthorized to perform action"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Access forbidden"
          },
          "404" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Not found"
          },
          "500" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Server error"
          }
        },
        "summary" : "Add Check Runs",
        "tags" : [ "data quality", "experimental" ]
      }
    },
    "/dataquality/checks/delete/{orgAgentId}" : {
      "post" : {
        "description" : "Asynchronously delete data quality Checks and all associated Check Versions and Check Runs.\n\nThis operation enqueues delete requests for background processing. The response indicates\nhow many requests were successfully enqueued, not how many deletions have completed.\n\nResponse fields:\n- success: Number of delete requests successfully enqueued\n- failed: Number of delete requests that failed to enqueue\n- requestId: Correlation ID for tracking\n\nAccess requirement: Requires an admin token. It also requires admin access to the organization.\n\nThis endpoint is in active development. Its definition and behavior may change frequently and without notice.",
        "operationId" : "deleteChecks",
        "parameters" : [ {
          "description" : "organization agent ID",
          "in" : "path",
          "name" : "orgAgentId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DeleteChecksDto"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "202" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "Accepted"
          },
          "400" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Bad Request"
          },
          "401" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "User is unauthorized to perform action"
          },
          "403" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Access forbidden"
          },
          "500" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description" : "Server error"
          }
        },
        "summary" : "Delete data quality checks",
        "tags" : [ "data quality", "experimental" ]
      }
    },
    "/datasets/{owner}" : {
      "get" : {
        "description" : "List datasets that the currently authenticated user has access to, for the specified owner; when the\ndataset is open, private (but discoverable by the authenticated user) or the authenticated user is a\ncontributor with discover visibility",
        "operationId" : "getDatasetsByOwner",
        "parameters" : [ {
          "in" : "query",
          "name" : "fields",
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Number of results to return",
          "in" : "query",
          "name" : "limit",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10,
            "maximum" : 100,
            "minimum" : 1
          }
        }, {
          "description" : "A token supplied by the previous response to retrieve the next page of results",
          "in" : "query",
          "name" : "next",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedDatasetResults"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "List datasets for a specified owner",
        "tags" : [ "datasets" ]
      },
      "post" : {
        "description" : "Create a new dataset.",
        "operationId" : "createDataset",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DatasetCreateRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CreateDatasetResponse"
                }
              }
            },
            "description" : "Dataset created successfully."
          }
        },
        "summary" : "Create a dataset",
        "tags" : [ "datasets" ]
      }
    },
    "/datasets/{owner}/{id}" : {
      "delete" : {
        "description" : "Delete a dataset and associated data. This operation cannot be undone, but you may recreate the dataset\nusing the same id.",
        "operationId" : "deleteDataset",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete a dataset",
        "tags" : [ "datasets" ]
      },
      "get" : {
        "description" : "Retrieve a dataset. The definition of the dataset will be returned, not its data. Use\n`GET:/download/{owner}/{id}` or `GET:/file_download/{owner}/{id}/{file}` to retrieve the original files\ncontent, or `POST:/sql/{owner}/{id}` or `POST:/sparql/{owner}/{id}` to query the data.",
        "operationId" : "getDataset",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/DatasetSummaryResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Retrieve a dataset",
        "tags" : [ "datasets" ]
      },
      "patch" : {
        "description" : "Update an existing dataset. Only elements included in the request will be updated. All omitted elements\nwill remain untouched. Requesting change in a list replaces the entire list. Requesting an element to be\nnull deletes all values on the element.",
        "operationId" : "patchDataset",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DatasetPatchRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update a dataset",
        "tags" : [ "datasets" ]
      },
      "put" : {
        "description" : "Create or replace a dataset with a given id. If a dataset exists with the same id, this call will reset\nsuch dataset and all the data contained in it.",
        "operationId" : "replaceDataset",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/DatasetPutRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Create / Replace a dataset",
        "tags" : [ "datasets" ]
      }
    },
    "/datasets/{owner}/{id}/dois/{doi}" : {
      "delete" : {
        "description" : "Delete a DOI ([Digital Object Identifier](https://www.doi.org/)) associated with a dataset.",
        "operationId" : "deleteDoi",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "doi",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete dataset DOI",
        "tags" : [ "DOIs" ]
      },
      "put" : {
        "description" : "Associate a DOI ([Digital Object Identifier](https://www.doi.org/)) with a dataset.",
        "operationId" : "addDoi",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "doi",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Create dataset DOI",
        "tags" : [ "DOIs" ]
      }
    },
    "/datasets/{owner}/{id}/files" : {
      "delete" : {
        "description" : "Delete one or more files from a dataset.\n\n**Batching**\nNote that the `name` parameter can be include multiple times in the query string, once for each file that is to be deleted together in a single request.",
        "operationId" : "deleteFilesAndSyncSources",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "query",
          "name" : "name",
          "required" : true,
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete files",
        "tags" : [ "files" ]
      },
      "post" : {
        "description" : "Add files from URLs to a dataset. This method allows files published on the web to be added to a\ndata.world dataset via their URL. This method can also be used to retrieve data via web APIs, with\nadvanced options for http method, request payload and authentication.\n\nThe source URL will be stored so you can easily update your file anytime it changes via the *fetch latest*\nlink on the [data.world](https://data.world/) dataset page or by triggering the `GET:/sync` endpoint.",
        "operationId" : "addFilesBySource",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/FileBatchUpdateRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Add files from URLs",
        "tags" : [ "files" ]
      }
    },
    "/datasets/{owner}/{id}/files/{file}" : {
      "delete" : {
        "description" : "Delete a single file from a dataset.",
        "operationId" : "deleteFileAndSyncSource",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "description" : "Filename",
          "in" : "path",
          "name" : "file",
          "required" : true,
          "schema" : {
            "type" : "string",
            "maxLength" : 128,
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete a file",
        "tags" : [ "files" ]
      }
    },
    "/datasets/{owner}/{id}/files/{file}/metadata" : {
      "get" : {
        "description" : "Get file description and labels",
        "operationId" : "getFileMetadata",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "file",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/FileMetadataResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get file description and labels",
        "tags" : [ "files" ]
      },
      "patch" : {
        "description" : "Update file description and labels. Only elements included in the request will be updated. All omitted\nelements will remain untouched. Requesting change in a list replaces the entire list. Requesting an element\nto be null deletes all values on the element.",
        "operationId" : "patchFileMetadata",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "file",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/FileMetadataUpdateRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update file description and labels",
        "tags" : [ "files" ]
      },
      "put" : {
        "description" : "Replace file description and labels",
        "operationId" : "putFileMetadata",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "file",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/FileMetadataUpdateRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Replace file description and labels",
        "tags" : [ "files" ]
      }
    },
    "/datasets/{owner}/{id}/queries" : {
      "get" : {
        "description" : "List published saved queries associated with a dataset. Query definitions will be returned, not the query results.\nTo retrieve query results use `GET:/queries/{id}/results`.",
        "operationId" : "getPublishedDatasetQueries",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Number of results to return",
          "in" : "query",
          "name" : "limit",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10,
            "maximum" : 100,
            "minimum" : 1
          }
        }, {
          "description" : "A token supplied by the previous response to retrieve the next page of results",
          "in" : "query",
          "name" : "next",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedQueryResults"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "List published queries",
        "tags" : [ "queries" ]
      },
      "post" : {
        "description" : "Create a saved query in a specified dataset.",
        "operationId" : "createSavedQuery",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateQueryRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/QuerySummaryResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Create a saved query in a specified dataset",
        "tags" : [ "queries" ]
      }
    },
    "/datasets/{owner}/{id}/queries/{queryId}" : {
      "delete" : {
        "description" : "Delete a saved query in a specified dataset.",
        "operationId" : "deleteSavedQuery",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "queryId",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete a saved query in a specified dataset",
        "tags" : [ "queries" ]
      },
      "put" : {
        "description" : "Update a saved query in a specified dataset.",
        "operationId" : "updateSavedQuery",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "queryId",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/QueryPutRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/QuerySummaryResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update a saved query in a specified dataset",
        "tags" : [ "queries" ]
      }
    },
    "/datasets/{owner}/{id}/sync" : {
      "get" : {
        "description" : "Same as `POST:/dataset/{owner}/{id}/sync`. The id parameter can either be a dataset id or project id.",
        "operationId" : "syncViaGet",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Sync files (via GET)",
        "tags" : [ "files" ]
      },
      "post" : {
        "description" : "Sync files within a dataset or project. This method will process the latest data available for files added\nfrom URLs or via streams. The id parameter can either be a dataset id or project id.",
        "operationId" : "sync",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Sync files",
        "tags" : [ "files" ]
      }
    },
    "/datasets/{owner}/{id}/sync/{filename}" : {
      "get" : {
        "operationId" : "syncFileViaGet",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "filename",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Fetch latest file from source and update dataset — via GET, for convenience.",
        "tags" : [ "datasets" ]
      },
      "post" : {
        "operationId" : "syncFile",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "filename",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Fetch latest file from source and update dataset.",
        "tags" : [ "datasets" ]
      }
    },
    "/datasets/{owner}/{id}/tables" : {
      "post" : {
        "description" : "Add tables from an established virtual connection. For increased security, endpoints that interact with\nexternal connection sources require an Enterprise Admin Token. This token can be found under\n[Advanced Settings](https://data.world/settings/advanced). To learn more about the virtual connections\ndata.world supports, please visit our\n[help portal](https://help.data.world/hc/en-us/sections/360009504254-Create-and-manage-virtual-connections).",
        "operationId" : "addTables",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/TableBatchUpdateRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Add live tables from a virtual connection",
        "tags" : [ "tables" ]
      }
    },
    "/datasets/{owner}/{id}/userQueries" : {
      "get" : {
        "description" : "List user saved queries associated with a dataset. Query definitions will be returned, not the query results.\nTo retrieve query results use `GET:/queries/{id}/results`.",
        "operationId" : "getUserSavedDatasetQueries",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Number of results to return",
          "in" : "query",
          "name" : "limit",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10,
            "maximum" : 100,
            "minimum" : 1
          }
        }, {
          "description" : "A token supplied by the previous response to retrieve the next page of results",
          "in" : "query",
          "name" : "next",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedQueryResults"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "List user saved queries",
        "tags" : [ "queries" ]
      }
    },
    "/datasets/{owner}/{id}/v/{versionId}" : {
      "get" : {
        "description" : "Retrieve a version of a dataset. The definition of the dataset will be returned, not its data.",
        "operationId" : "getDatasetByVersion",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "versionId",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/DatasetSummaryResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Retrieve a dataset version",
        "tags" : [ "datasets" ]
      }
    },
    "/datasets/{owner}/{id}/v/{versionId}/dois/{doi}" : {
      "delete" : {
        "description" : "Delete a DOI ([Digital Object Identifier](https://www.doi.org/)) associated with a version of a dataset.",
        "operationId" : "deleteVersionDoi",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "versionId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "doi",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete dataset version DOI",
        "tags" : [ "DOIs" ]
      },
      "put" : {
        "description" : "Associate a DOI ([Digital Object Identifier](https://www.doi.org/)) with a version of a dataset.",
        "operationId" : "addVersionDoi",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "versionId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "doi",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Create dataset version DOI",
        "tags" : [ "DOIs" ]
      }
    },
    "/download/{owner}/{id}" : {
      "get" : {
        "description" : "Download a .zip file containing all files within a dataset as originally uploaded. Prefer `POST:/sql` or\n`POST:/sparql` for retrieving clean and structured data.",
        "operationId" : "downloadDataset",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/zip" : { }
            },
            "description" : "default response"
          }
        },
        "summary" : "Download a dataset",
        "tags" : [ "datasets" ]
      }
    },
    "/file_download/{owner}/{id}/{file}" : {
      "get" : {
        "description" : "Download a file within the dataset as originally uploaded. Prefer `POST:/sql` or `POST:/sparql` for\nretrieving clean and structured data.",
        "operationId" : "downloadFile",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "file",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "*/*" : { }
            },
            "description" : "default response"
          }
        },
        "summary" : "Download a file",
        "tags" : [ "files" ]
      }
    },
    "/insights/{projectOwner}/{projectId}" : {
      "get" : {
        "description" : "List insights associated with a project.",
        "operationId" : "getInsightsForProject",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "Number of results to return",
          "in" : "query",
          "name" : "limit",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10,
            "maximum" : 100,
            "minimum" : 1
          }
        }, {
          "description" : "A token supplied by the previous response to retrieve the next page of results",
          "in" : "query",
          "name" : "next",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedInsightResults"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "List insights",
        "tags" : [ "insights" ]
      },
      "post" : {
        "description" : "Create a new insight.",
        "operationId" : "createInsight",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/InsightCreateRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CreateInsightResponse"
                }
              }
            },
            "description" : "Insight created successfully."
          }
        },
        "summary" : "Create an insight",
        "tags" : [ "insights" ]
      }
    },
    "/insights/{projectOwner}/{projectId}/{id}" : {
      "delete" : {
        "description" : "Delete an insight.",
        "operationId" : "deleteInsight",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete an insight",
        "tags" : [ "insights" ]
      },
      "get" : {
        "description" : "Retrieve an insight.",
        "operationId" : "getInsight",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/InsightSummaryResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Retrieve an insight",
        "tags" : [ "insights" ]
      },
      "patch" : {
        "description" : "Update an insight. Note that only elements included in the request will be updated. All omitted elements\nwill remain untouched.",
        "operationId" : "updateInsight",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/InsightPatchRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update an insight",
        "tags" : [ "insights" ]
      },
      "put" : {
        "description" : "Replace an insight.",
        "operationId" : "replaceInsight",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/InsightPutRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Replace an insight",
        "tags" : [ "insights" ]
      }
    },
    "/insights/{projectOwner}/{projectId}/{id}/v/{versionId}" : {
      "get" : {
        "description" : "Retrieve an insight version.",
        "operationId" : "getInsightByVersion",
        "parameters" : [ {
          "in" : "path",
          "name" : "projectOwner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "projectId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "format" : "uuid"
          }
        }, {
          "in" : "path",
          "name" : "versionId",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/InsightSummaryResponse"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Retrieve an insight version",
        "tags" : [ "insights" ]
      }
    },
    "/instanceAdmin/agents/{agentid}" : {
      "put" : {
        "description" : "This operation is only usable in Private Instances and requires the instance admin role permission. See the\n[Get API Tokens](https://developer.data.world/docs/api-getting-started#/step-2-get-the-tokens) documentation\nfor more information.",
        "operationId" : "createOrUpdateAgent",
        "parameters" : [ {
          "description" : "agent id or username",
          "in" : "path",
          "name" : "agentid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CreateOrUpdateUserRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessageDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Create a new user or update existing one",
        "tags" : [ "instance admin" ]
      }
    },
    "/instanceAdmin/agents/{agentid}/deactivate" : {
      "post" : {
        "description" : "This operation is only usable in Private Instances and requires the instance admin role permission. See the\n[Get API Tokens](https://developer.data.world/docs/api-getting-started#/step-2-get-the-tokens) documentation\nfor more information.",
        "operationId" : "deactivateAgent",
        "parameters" : [ {
          "description" : "agent id or username",
          "in" : "path",
          "name" : "agentid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessageDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Deactivate specified agent",
        "tags" : [ "instance admin" ]
      }
    },
    "/instanceAdmin/agents/{agentid}/reactivate" : {
      "post" : {
        "description" : "This operation is only usable in Private Instances and requires the instance admin role permission. See the\n[Get API Tokens](https://developer.data.world/docs/api-getting-started#/step-2-get-the-tokens) documentation\nfor more information.",
        "operationId" : "activateAgent",
        "parameters" : [ {
          "description" : "agent id or username",
          "in" : "path",
          "name" : "agentid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessageDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Reactivate specified agent",
        "tags" : [ "instance admin" ]
      }
    },
    "/metadata/analysis/suggest/{owner}/{id}" : {
      "patch" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "suggestCatalogAnalysis",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/MetadataSuggestRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "suggest for an existing analysis",
        "tags" : [ "legacy catalog - analysis" ]
      }
    },
    "/metadata/analysis/{owner}" : {
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getCatalogAnalysesByOwner",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "typelabel",
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "typeiri",
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "sort",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }, {
          "in" : "query",
          "name" : "size",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10
          }
        }, {
          "in" : "query",
          "name" : "from",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 0
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedGenericResultsMetadataResourceDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Gets metadata analysis by owner.",
        "tags" : [ "legacy catalog - analysis" ]
      },
      "post" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "createCatalogAnalysis",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/MetadataRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CreateResponse"
                }
              }
            },
            "description" : "Analysis Metadata created successfully."
          }
        },
        "summary" : "Create a new analysis metadata.",
        "tags" : [ "legacy catalog - analysis" ]
      }
    },
    "/metadata/analysis/{owner}/{id}" : {
      "delete" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "deleteCatalogAnalysis",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete an Analysis.",
        "tags" : [ "legacy catalog - analysis" ]
      },
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getCatalogAnalysis",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MetadataResourceDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get an individual metadata analysis",
        "tags" : [ "legacy catalog - analysis" ]
      },
      "patch" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "patchCatalogAnalysis",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/MetadataRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update an existing analysis.",
        "tags" : [ "legacy catalog - analysis" ]
      },
      "put" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "replaceCatalogAnalysis",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/MetadataRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Replace an existing analysis",
        "tags" : [ "legacy catalog - analysis" ]
      }
    },
    "/metadata/collections/{owner}" : {
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getCatalogs",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "sort",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }, {
          "in" : "query",
          "name" : "size",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10
          }
        }, {
          "in" : "query",
          "name" : "from",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 0
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedSearchResultsDtoMetadataResourceDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Gets collections owned by specified owner",
        "tags" : [ "legacy catalog - collections" ]
      },
      "post" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "createCatalog",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CreateResponse"
                }
              }
            },
            "description" : "Collection created successfully."
          }
        },
        "summary" : "Creates a new collection",
        "tags" : [ "legacy catalog - collections" ]
      }
    },
    "/metadata/collections/{owner}/{id}" : {
      "delete" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "deleteCatalog",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Deletes a collection",
        "tags" : [ "legacy catalog - collections" ]
      },
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getCatalog",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MetadataResourceDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Gets a collection by ID",
        "tags" : [ "legacy catalog - collections" ]
      },
      "patch" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "updateCatalog",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Updates a collection",
        "tags" : [ "legacy catalog - collections" ]
      },
      "put" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "replaceCatalog",
        "parameters" : [ {
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "path",
          "name" : "id",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Replaces a collection",
        "tags" : [ "legacy catalog - collections" ]
      }
    },
    "/metadata/data/sources/suggest/{owner}/{sourceid}/tables/{tableid}" : {
      "patch" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "suggestCatalogTable",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "tableid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogTableSuggestRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "suggest for an existing table.",
        "tags" : [ "legacy catalog - data" ]
      }
    },
    "/metadata/data/sources/{owner}" : {
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getDatabases",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "sort",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }, {
          "in" : "query",
          "name" : "size",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10
          }
        }, {
          "in" : "query",
          "name" : "from",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 0
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedDatabaseResults"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Gets datasources by owner.",
        "tags" : [ "legacy catalog - data" ]
      }
    },
    "/metadata/data/sources/{owner}/{sourceid}" : {
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getDatabase",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/DatabaseDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get an individual datasource metadata",
        "tags" : [ "legacy catalog - data" ]
      }
    },
    "/metadata/data/sources/{owner}/{sourceid}/tables" : {
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getTables",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "query",
          "name" : "typelabel",
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "typeiri",
          "schema" : {
            "type" : "string"
          }
        }, {
          "in" : "query",
          "name" : "sort",
          "schema" : {
            "type" : "array",
            "items" : {
              "type" : "string"
            }
          }
        }, {
          "in" : "query",
          "name" : "size",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 10
          }
        }, {
          "in" : "query",
          "name" : "from",
          "schema" : {
            "type" : "integer",
            "format" : "int32",
            "default" : 0
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/PaginatedGenericResultsMetadataResourceDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get tables for a data source",
        "tags" : [ "legacy catalog - data" ]
      },
      "post" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "createCatalogTable",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogTableRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/CreateResponse"
                }
              }
            },
            "description" : "Table Metadata created successfully."
          }
        },
        "summary" : "Create a new table metadata.",
        "tags" : [ "legacy catalog - data" ]
      }
    },
    "/metadata/data/sources/{owner}/{sourceid}/tables/iri/{tableiri}" : {
      "patch" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "patchCatalogTableByIri",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "tableiri",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogTableRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update an existing table identified by IRI.",
        "tags" : [ "legacy catalog - data" ]
      }
    },
    "/metadata/data/sources/{owner}/{sourceid}/tables/{tableid}" : {
      "delete" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "deleteCatalogTable",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "tableid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Delete a table.",
        "tags" : [ "legacy catalog - data" ]
      },
      "get" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "getTable",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "tableid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "query",
          "name" : "schema",
          "schema" : {
            "type" : "string"
          }
        } ],
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/MetadataResourceDto"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Get an individual table metadata",
        "tags" : [ "legacy catalog - data" ]
      },
      "patch" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
        "operationId" : "patchCatalogTable",
        "parameters" : [ {
          "description" : "id of the user or organization",
          "in" : "path",
          "name" : "owner",
          "required" : true,
          "schema" : {
            "type" : "string"
          }
        }, {
          "description" : "database source id",
          "in" : "path",
          "name" : "sourceid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "path",
          "name" : "tableid",
          "required" : true,
          "schema" : {
            "type" : "string",
            "minLength" : 1
          }
        }, {
          "in" : "query",
          "name" : "schema",
          "schema" : {
            "type" : "string"
          }
        } ],
        "requestBody" : {
          "content" : {
            "application/json" : {
              "schema" : {
                "$ref" : "#/components/schemas/CatalogTableRequest"
              }
            }
          },
          "required" : true
        },
        "responses" : {
          "200" : {
            "content" : {
              "application/json" : {
                "schema" : {
                  "$ref" : "#/components/schemas/SuccessMessage"
                }
              }
            },
            "description" : "default response"
          }
        },
        "summary" : "Update an existing table.",
        "tags" : [ "legacy catalog - data" ]
      },
      "put" : {
        "description" : "Please refer to the updated IRI-based resource endpoints.",
[...]
